Bug 113197 - FILEOPEN: EMF+ Incorrect lines' height
Summary: FILEOPEN: EMF+ Incorrect lines' height
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
6.0.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Armin Le Grand (CIB)
URL:
Whiteboard: target:6.1.0 target:6.0.5
Keywords: bibisected, bisected, regression
Depends on:
Blocks: EMFPlus-Rework-Regressions
  Show dependency treegraph
 
Reported: 2017-10-17 16:12 UTC by Xisco Faulí
Modified: 2018-06-06 11:37 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
sample document (37.00 KB, application/vnd.ms-powerpoint)
2017-10-17 16:12 UTC, Xisco Faulí
Details
comparison MSO 2010 and LibreOffice 6.0 (102.89 KB, image/png)
2017-10-17 16:15 UTC, Xisco Faulí
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2017-10-17 16:12:02 UTC
Created attachment 137057 [details]
sample document

Steps to reproduce:
1. Open attached document

Observed behaviour: the two vertical lines reach the end of the document

Reproduced in

Version: 6.0.0.0.alpha0+
Build ID: 616f21db9e50a77b0c02dfb123f871a742f46216
CPU threads: 4; OS: Linux 4.10; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group

[Bug found by office-interoperability-tools]
Comment 1 Xisco Faulí 2017-10-17 16:14:45 UTC Comment hidden (obsolete)
Comment 2 Xisco Faulí 2017-10-17 16:15:43 UTC
Created attachment 137058 [details]
comparison MSO 2010 and LibreOffice 6.0
Comment 3 Armin Le Grand (CIB) 2017-10-18 07:45:44 UTC
That fallback is no longer in the code, cannot be the reason
Comment 4 Xisco Faulí 2017-10-18 08:18:10 UTC
Hi Armin,
Actually I was wrong in my bisection. it's wrong after 600a2aa24085cb972686b46061f9045785208a9e and it's ok before 5868745db74ae930edb0058490076d82aaeafbe9 so the issue was introduced either on one commit or the other, if you say the fallback is no longer in the code, then it should be 5868745db74ae930edb0058490076d82aaeafbe9. Sorry for that
Comment 5 Xisco Faulí 2017-10-18 08:22:30 UTC
Regression introduced by:

author	Armin Le Grand <Armin.Le.Grand@cib.de>	2017-06-12 13:27:16 (GMT)
committer	Thorsten Behrens <Thorsten.Behrens@CIB.de>	2017-07-15 09:01:29 (GMT)
commit	5868745db74ae930edb0058490076d82aaeafbe9 (patch)
tree	78bea29cb44b770d9e3affef2a303d0d38722d85
parent	83535a28c57ffb59f795dd35332d6b3426071e32 (diff)
emfplus: make VectorFormats Emf/Wmf/Svg work
make complete turn around and internal buffering
for Emf/Wmf/Svg work, including images in ODF and
re-save from UI. The correct FileType has to be
determined. It has shown that *.wmf exist that really
contain *.emf, so this turn around will not alter
the binary data, but may change the mimetype
Comment 6 Armin Le Grand (CIB) 2017-10-24 08:05:32 UTC
Extracted the example WMF (select, context menu, save...). The vert lines *are* as long as shown. I think in former versions the content of the WMF was clipped against it's bounds, no it's no longer clipped. We can add to clip again (if content is 'bigger' than defined size). We do something similar for SVG already where this also may happen. Question is if this is wanted - may there be WMFs where stuff outside of it's definition is useful? User will be surprised when 'Break'ing the object and more appears than formally visible. May need discussion...
Comment 7 Armin Le Grand (CIB) 2017-10-24 08:06:42 UTC
Adding Patrick to CC
Comment 8 Armin Le Grand (CIB) 2017-10-24 10:08:52 UTC
Solutoin on gerrit
Comment 9 Commit Notification 2017-10-28 01:44:46 UTC
Armin Le Grand committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=bdb9cc1702d4e125db8c379f3b535bbd9f845b95

tdf#113197 Add MaskPrimitive (clip) to EMF/WMF if needed

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Bartosz 2017-10-29 14:16:46 UTC
Works correctly now.
Comment 11 Xisco Faulí 2017-10-29 20:36:54 UTC
Verified in

Version: 6.0.0.0.alpha1+
Build ID: fc4f2f1b0f8c286e9ae259c44fb249261a8ac47f
CPU threads: 4; OS: Linux 4.10; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group
Comment 12 Commit Notification 2017-10-30 08:12:27 UTC
Thorsten Behrens committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=480f72ef456b3d42c584fb198dde5b8f3a10788b

Revert "tdf#113197 Add MaskPrimitive (clip) to EMF/WMF if needed"

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 13 Armin Le Grand (CIB) 2017-11-28 09:29:35 UTC
Still trying to find out why 'make CppunitTest_sw_ooxmlexport4' on mac fails, see https://gerrit.libreoffice.org/#/c/44058/
If someone with a Mac could have a look...? Trying with remote access to a mac, no progress yet
Comment 14 Xisco Faulí 2017-11-28 09:32:34 UTC
(In reply to Armin Le Grand (CIB) from comment #13)
> Still trying to find out why 'make CppunitTest_sw_ooxmlexport4' on mac
> fails, see https://gerrit.libreoffice.org/#/c/44058/
> If someone with a Mac could have a look...? Trying with remote access to a
> mac, no progress yet

I Armin, I have a mac. We can use teamviewer for instance. Let's talk in IRC
Comment 15 Armin Le Grand (CIB) 2017-12-19 09:04:18 UTC
Hi Xisco, thanks for the offer. Can you send me access data to my mail address used here, you can use my PublicKey to encrppt it (PGP Key: EE1C 4B3F E751 D8BC C485 DEC1 3C59 F953 D81C F4A2). I will probably try to take a look between the end-of-year days (27-29th dec). Thanks in advance!
Comment 16 Bartosz 2018-04-08 19:37:08 UTC
Hello Armin.
If you mind I would like try to resolve this issue for macOS.
Thanks.
Comment 17 Bartosz 2018-04-09 14:22:57 UTC
The error:
Assertion failed: (nIndex < maBitmapColor.size() && "Palette index is out of range"), function operator[], file /Users/tdf/lode/jenkins/workspace/lo_gerrit/Config/macosx_clang_dbgutil/include/vcl/salbtype.hxx, line 208.
Comment 18 Commit Notification 2018-04-17 00:07:47 UTC
Armin Le Grand committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=7f9b0f47979dcb7abfed37bb7cd38ab51eac6011

tdf#113197 Add MaskPrimitive (clip) to EMF/WMF if needed

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 19 Commit Notification 2018-04-18 15:20:07 UTC
Armin Le Grand committed a patch related to this issue.
It has been pushed to "libreoffice-6-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6e591f06e39c69c270c8c01e9ed138d315720624&h=libreoffice-6-0

tdf#113197 Add MaskPrimitive (clip) to EMF/WMF if needed

It will be available in 6.0.5.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 20 Xisco Faulí 2018-04-20 09:27:27 UTC
Verified in

Version: 6.1.0.0.alpha0+
Build ID: ffa6c70deb054c0dff4aab5a6ba5a03d0225d32d
CPU threads: 4; OS: Linux 4.13; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group

Armin, thanks for fixing this!!